Bug 1411688 - Backspace and delete don’t work well when reaching the end of the preëdit, making it hard to delete spaces between words when surrounding text is supported
Summary: Backspace and delete don’t work well when reaching the end of the preëdit, ma...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus-typing-booster
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mike FABIAN
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 09:58 UTC by Mike FABIAN
Modified: 2017-01-25 20:22 UTC (History)
4 users (show)

Fixed In Version: ibus-typing-booster-1.5.16-1.fc25 ibus-typing-booster-1.5.19-2.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-25 20:22:43 UTC


Attachments (Terms of Use)
ibus-typing-booster-backspace-and-delete-problem-first.png (225.03 KB, image/png)
2017-01-10 09:59 UTC, Mike FABIAN
no flags Details
ibus-typing-booster-backspace-and-delete-problem-second.png (224.41 KB, image/png)
2017-01-10 10:00 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2017-01-10 09:58:47 UTC
When using Backspace or Delete while the preëdit is open, currently
these keys do nothing when the end of the preëdit is reached.

I.e., when the cursor is already at the leftmost position in
the preëdit, typing Backspace does nothing, otherwise it deletes the
character left of the cursor. And when the cursor is already at the rightmost
position in the preëdit, typing Delete does nothing, otherwise it deletes
the character to the right of the cursor.

This is especially inconvenient when using ibus-typing-booster in
a program which supports surrounding text, for example when using it in gedit.

Comment 1 Mike FABIAN 2017-01-10 09:59:22 UTC
Created attachment 1239028 [details]
ibus-typing-booster-backspace-and-delete-problem-first.png

Comment 2 Mike FABIAN 2017-01-10 10:00:07 UTC
Created attachment 1239029 [details]
ibus-typing-booster-backspace-and-delete-problem-second.png

Comment 3 Mike FABIAN 2017-01-10 10:12:30 UTC
The screenshots
ibus-typing-booster-backspace-and-delete-problem-first.png and
ibus-typing-booster-backspace-and-delete-problem-second.png
demonstrate the problem.

The user has typed “I can not ” and then recognizes that “cannot”
should be spelled as one word and wants to fix that. So the user moves
the cursor back with the arrow left key. As soon as the cursor is
behind the “t” of the word “not”, the preëdit is reopened and “not” is
placed into the preëdit.  One can see that because “not” is then
underlined. Now the cursor is moved further left with the arrow left
key until the cursor is left of the “n”.  Typing Backspace now trying
to delete the space between “can” and “not” achieves nothing,
Backspace just does nothing at the end of the preëdit currently. So
one can try to use the arrow left key one more time to get out of the
preëdit. But when doing that, the preëdit is committed and the cursor
is moved left (which is intuitive and logical). That makes the cursor
end up behind the “n” of the word “can” and reopens the preëdit again,
putting “can” into the preëdit. ”can” is now underlined. Again one
cannot remove the space between “can” and “not” by typing Delete
because Delete currently does nothing at the end of the preëdit.

That behaviour makes it quite hard to delete spaces between words.  As
a workaround, one can do that by positioning the cursor using the
mouse, not with the arrow keys and then use Backspace or Delete.
Or, switch off ibus-typing-booster temporarily, delete the space
and switch ibus-typing-booster on again. This is annoying.

So the behaviour of Backspace and Delete should be improved at the
ends of the preëdit. When at the left side of a preëdit, Backspace
should commit and send a Backspace to the application.  I.e. when the
cursor is left of the “not” in “can not”, the “not” should be
committed and a Backspace should be sent to the application which
deletes the space, giving us “cannot”.

Comment 4 Fedora Update System 2017-01-10 15:46:21 UTC
ibus-typing-booster-1.5.16-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bc5be68804

Comment 5 Fedora Update System 2017-01-10 15:46:50 UTC
ibus-typing-booster-1.5.16-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2b4c1b068

Comment 6 Fedora Update System 2017-01-11 03:22:18 UTC
ibus-typing-booster-1.5.16-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-c2b4c1b068

Comment 7 Fedora Update System 2017-01-11 03:49:20 UTC
ibus-typing-booster-1.5.16-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bc5be68804

Comment 8 Fedora Update System 2017-01-12 05:24:55 UTC
ibus-typing-booster-1.5.16-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-01-13 16:23:45 UTC
ibus-typing-booster-1.5.17-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-055b6ced50

Comment 10 Fedora Update System 2017-01-14 06:19:52 UTC
ibus-typing-booster-1.5.17-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-055b6ced50

Comment 11 Fedora Update System 2017-01-17 12:30:51 UTC
ibus-typing-booster-1.5.18-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-003627ba96

Comment 12 Fedora Update System 2017-01-17 21:53:53 UTC
ibus-typing-booster-1.5.18-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-003627ba96

Comment 13 Fedora Update System 2017-01-19 07:18:35 UTC
ibus-typing-booster-1.5.19-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dbf2db3cfa

Comment 14 Fedora Update System 2017-01-19 07:31:58 UTC
ibus-typing-booster-1.5.19-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-803b903185

Comment 15 Fedora Update System 2017-01-20 19:20:32 UTC
ibus-typing-booster-1.5.19-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-803b903185

Comment 16 Fedora Update System 2017-01-25 20:22:43 UTC
ibus-typing-booster-1.5.19-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.